Bug 1299511 - [abrt] evolution-data-server: g_type_check_instance_is_fundamentally_a(): evolution-addressbook-factory-subprocess killed by SIGSEGV
[abrt] evolution-data-server: g_type_check_instance_is_fundamentally_a(): evo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:29b0b8a759de4ae996e72f9e12f...
:
: 1317056 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 09:38 EST by Jan Vesely
Modified: 2016-12-20 12:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:58:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.46 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: cgroup (284 bytes, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: core_backtrace (37.77 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: dso_list (17.84 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: environ (854 bytes, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: maps (85.30 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: mountinfo (3.58 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: open_fds (2.26 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-18 09:38 EST, Jan Vesely
no flags Details

  None (edit)
Description Jan Vesely 2016-01-18 09:38:17 EST
Version-Release number of selected component:
evolution-data-server-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory-subprocess --factory ews --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx17936x5 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/AddressBook/17936/5
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/evolution-addressbook-factory-subprocess
global_pid:     10860
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4030
 #2 soup_socket_properties_unref at soup-socket-properties.c:56
 #3 soup_connection_finalize at soup-connection.c:72
 #5 soup_session_cleanup_connections at soup-session.c:1374
 #6 async_run_queue at soup-session.c:2079
 #7 idle_run_queue at soup-session.c:2129
 #12 e_ews_soup_thread at e-ews-connection.c:1732
 #13 g_thread_proxy at gthread.c:778

Potential duplicate: bug 1293800
Comment 1 Jan Vesely 2016-01-18 09:38:20 EST
Created attachment 1115855 [details]
File: backtrace
Comment 2 Jan Vesely 2016-01-18 09:38:21 EST
Created attachment 1115856 [details]
File: cgroup
Comment 3 Jan Vesely 2016-01-18 09:38:22 EST
Created attachment 1115857 [details]
File: core_backtrace
Comment 4 Jan Vesely 2016-01-18 09:38:23 EST
Created attachment 1115858 [details]
File: dso_list
Comment 5 Jan Vesely 2016-01-18 09:38:24 EST
Created attachment 1115859 [details]
File: environ
Comment 6 Jan Vesely 2016-01-18 09:38:25 EST
Created attachment 1115860 [details]
File: exploitable
Comment 7 Jan Vesely 2016-01-18 09:38:26 EST
Created attachment 1115861 [details]
File: limits
Comment 8 Jan Vesely 2016-01-18 09:38:27 EST
Created attachment 1115862 [details]
File: maps
Comment 9 Jan Vesely 2016-01-18 09:38:28 EST
Created attachment 1115863 [details]
File: mountinfo
Comment 10 Jan Vesely 2016-01-18 09:38:29 EST
Created attachment 1115864 [details]
File: namespaces
Comment 11 Jan Vesely 2016-01-18 09:38:30 EST
Created attachment 1115865 [details]
File: open_fds
Comment 12 Jan Vesely 2016-01-18 09:38:31 EST
Created attachment 1115866 [details]
File: proc_pid_status
Comment 13 Jan Vesely 2016-01-18 09:38:32 EST
Created attachment 1115867 [details]
File: var_log_messages
Comment 14 James 2016-03-11 15:03:04 EST
*** Bug 1317056 has been marked as a duplicate of this bug. ***
Comment 15 Milan Crha 2016-03-14 14:49:56 EDT
Thanks for a bug report. I missed this one, unfortunately. I can see one semi-related bug report upstream [1], though I can be wrong - maybe it's not related at all.

Would you have any reproducer for the crash, please?

[1] https://bugzilla.gnome.org/show_bug.cgi?id=760319
Comment 16 Jan Vesely 2016-03-22 10:05:17 EDT
(In reply to Milan Crha from comment #15)
> 
> Would you have any reproducer for the crash, please?

Unfortunately, I don't. The crash has not happened since this report.
Comment 17 Fedora End Of Life 2016-11-24 10:02:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 12:58:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.